#!/bin/sh

# send signal to a cronjob

if [ -z $1 ] 
then
	echo "Send signal to a cronjob"
	echo "Usage: `basename $0` [-SIG] <jobspec>"
	exit 1
fi

job=${2:-$1}
[ $# -gt 1 ] && sig=$1
cjpid=`crontab -p ${job}`

if [ -z "$cjpid" ]
then
	echo "No such job is currently running"
	exit 1
fi

if echo $cjpid | grep '[:alpha:]'
then
	echo $cjpid
	exit 1
fi

/bin/kill $sig $cjpid
